#include <stdio.h>
#include <omp.h>

#ifndef N
#define N (1<<25)
#endif

float a[N];

int main(void)
{
	unsigned int i = 0;
	float sum = 0.0f;
	double start = 0.0;

	start = omp_get_wtime();
	#pragma omp parallel for private(i) shared(start,a) reduction(+:sum)
	for (i=0; i<N; ++i)
		sum += a[i];
	printf("%f", (N*sizeof(float))/((1<<30)*(omp_get_wtime()-start)));

	return (int)sum;
}
